## entropybroker 2.8

=== debian/changelog ===
entropybroker (2.8-3) unstable; urgency=medium

  * fix for correct handling of ppoll (Closes: #856187)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Mar 2017 19:35:00 +0100

entropybroker (2.8-2) unstable; urgency=medium

  * don't build server_cycle_count (Closes: #840018)
    It uses a CPU register as source for entropy that is not available 
    on all architectures)
  * replace constant 8lu by (size_t)8 (Closes: #840019)
    sizeof operator returns a constant with type std::size_t, which
    is not unsigned long on all architectures
  * take care of unavailable constants (Closes: #840020)
    sparc64 does not know some baudrates
  * thanks a lot to Aaron M. Ucko for his suggestions to solve
    these bugs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 08 Oct 2016 23:00:00 +0200

entropybroker (2.8-1) unstable; urgency=medium

  * initial upload (Closes: #545148)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 04 Oct 2016 20:00:00 +0200
