## entropybroker 2.9

=== debian/changelog ===
entropybroker (2.9-5) unstable; urgency=medium

  * make it compile on 32bit archs again (Closes: #978477)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 29 Dec 2020 13:25:00 +0100

entropybroker (2.9-4) unstable; urgency=medium

  * add patch fro crypto++-8.3.0 compatibility (Closes: #978071)
  * debian/control: bump standard to 4.5.1 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Dec 2020 16:25:00 +0100

entropybroker (2.9-3) sid; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Jan 2019 12:35:00 +0100

entropybroker (2.9-2) sid; urgency=medium

  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/control: use dh11
  * debian/control: do not depend on dh-systemd
  * debian/copyright: use https
  * debian/patches: remove patches applied by upstream
  * rework systemd service files

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Oct 2018 19:35:00 +0200

entropybroker (2.9-1) sid; urgency=medium

  * new upstream version
  * debian/control: bump standard to 4.0.0
  * rework patches, some are applied upstream
  * rework systemd service files to handle more parameters

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jul 2017 19:35:00 +0200
