=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10)
-	, dh-systemd (>= 1.5) 
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12)
         , libgd-dev
-	, libasound2-dev 
+	, libasound2-dev
 	, libusb-1.0-0-dev
 	, libpng16-16
 	, zlib1g-dev
 	, libpcsclite-dev
-	, libftdi-dev 
+	, libftdi-dev
 	, libcrypto++-dev
 	, cppcheck
 Homepage: https://www.vanheusden.com/entropybroker/
+Vcs-Browser: https://salsa.debian.org/alteholz/entropybroker
+Vcs-Git: https://salsa.debian.org/alteholz/entropybroker.git
 
 Package: entropybroker
 Architecture: any
@@ -40,4 +41,3 @@
  noise, analysing noise from a unused audio-device, noise from a video source
  (webcam, tv-card) and random values from a real hardware RNG (random number
  generator).
-
