=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	rm -f err.txt
	dh_clean

override_dh_auto_build:
	make -j1 everything

override_dh_installinit:
	dh_installsystemd --no-start entropybroker.service
#deprecated	dh_systemd_enable entropybroker.service
	dh_installinit --no-start --noscripts
#deprecated	dh_systemd_start --no-start
#deprecated#	dh_systemd_start --no-restart-on-upgrade
