=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/entropybroker-$1.tar.gz/ \
 https://github.com/flok99/entropybroker/tags .*/archive/v?([\d\.]+).tar.gz
